uniform sampler2D Color0;

varying float fade;

void main()
{
  // set color
  //float alpha = texture2D( Color0, gl_TexCoord[0].st ).r;
  //float luma  = alpha * alpha;
  //luma = luma * luma;
  vec4 color = texture2D( Color0, gl_TexCoord[0].st ).rgba;
  color.rgb *= fade;
  gl_FragColor = color;
}
